import { LayerBuilder } from '../../viewer';
import { Plugin, ToolbarItemType } from '../plugin';
import { FindHighlighter } from './find-highlighter';
export declare class FindPlugin extends Plugin {
    readonly updateMatchesCountOnProgress: boolean;
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private findController?;
    private findHighlighters;
    constructor(updateMatchesCountOnProgress?: boolean);
    protected init(): Promise<void> | void;
    protected destroy(): void;
    protected getFindHighlighter(layerBuilder: LayerBuilder): FindHighlighter | undefined;
}
